Send SMS

Send and view individual SMS messages.

Send an SMS message to a single contact

post/api/sendsms/send_individual_sms/

Send an individual SMS message.

Request body (JSON) example:

{
  "supporter_id": 123,
  "message": "Hello from Quorum!"
}



Sample query: www.quorum.us/api/sendsms/send_individual_sms/

Securityapi_key and username
Responses
201

Message queued successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "from": "+15551234567",
  • "id": 123,
  • "num_segments": 1,
  • "success": true,
  • "to": "+15559876543"
}

Retrieve a list of Send SMS

get/sendsms/
Securityapi_key and username
Request
query Parameters
archived
boolean
associated_number
string

NOTE: Parameter accepts additional qualifiers appended to the end:
associated_number__in - The value for the record is in the provided array parameter (comma-separated values).
associated_number__contains, associated_number__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
associated_number__startswith, associated_number__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
associated_number__endswith, associated_number__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
associated_number__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

bulk_sms_id
integer <int64>

The bulksms with which this sendsms is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
bulk_sms__in - The value for the record is in the provided array parameter (comma-separated values).
bulk_sms__isnull - The value for the record is null (if true) or is not null.

converted
boolean
current_status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
current_status__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name TextDeliveryStatus, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
opens
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
opens__in - The value for the record is in the provided array parameter (comma-separated values).
opens__gt, opens__gte, opens__lt, opens__lte - The value for the record is greater than/less than (or equal to) the provided parameter.

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

SendSMS retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "associated_number": "string",
  • "bulk_sms": "/api/bulksms/1/",
  • "bulk_sms_description": "string",
  • "bulk_sms_send_time": "2019-08-24T14:15:22Z",
  • "converted": false,
  • "created": "2019-08-24T14:15:22Z",
  • "current_status": 1,
  • "delivered_event": { },
  • "effective_message_count": 0,
  • "failed_event": { },
  • "id": 0,
  • "message_content": "string",
  • "message_direction": 2,
  • "message_uuid": "string",
  • "opens": 0,
  • "queued_event": { },
  • "rcpt_dict": { },
  • "rejected_event": { },
  • "resource_uri": "string",
  • "send_time": "2019-08-24T14:15:22Z",
  • "sent_event": { },
  • "supporter_email": "string",
  • "supporter_id": "/api/newsupporter/1/",
  • "supporter_name": "string",
  • "supporter_public_organization": "string",
  • "supporter_title": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "undelivered_event": { },
  • "updated": "2019-08-24T14:15:22Z"
}

Retrieve a single Send SMS by ID

get/sendsms/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "resource_uri"
Responses
200

SendSMS retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "archived": false,
  • "associated_number": "string",
  • "bulk_sms": "/api/bulksms/1/",
  • "bulk_sms_description": "string",
  • "bulk_sms_send_time": "2019-08-24T14:15:22Z",
  • "converted": false,
  • "created": "2019-08-24T14:15:22Z",
  • "current_status": 1,
  • "delivered_event": { },
  • "effective_message_count": 0,
  • "failed_event": { },
  • "id": 0,
  • "message_content": "string",
  • "message_direction": 2,
  • "message_uuid": "string",
  • "opens": 0,
  • "queued_event": { },
  • "rcpt_dict": { },
  • "rejected_event": { },
  • "resource_uri": "string",
  • "send_time": "2019-08-24T14:15:22Z",
  • "sent_event": { },
  • "supporter_email": "string",
  • "supporter_id": "/api/newsupporter/1/",
  • "supporter_name": "string",
  • "supporter_public_organization": "string",
  • "supporter_title": "string",
  • "timestamp": "2019-08-24T14:15:22Z",
  • "undelivered_event": { },
  • "updated": "2019-08-24T14:15:22Z"
}